@import 'src/variables';

.navigation {
  padding: 0 40px;
  background: $secondaryGreyColor;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  display: flex;
  flex-direction: column;
  color: $primaryBgColor;
  .border {
    border-top: 1px solid $primaryGreyColor;
  }
  .dynamic-navigation {
    font-size: 14px;
    a {
      color: $primaryBgColor;
      &:hover {
        background: $primaryBgColor;
      }
    }
  }
  ul {
    margin: 0;
    padding: 0;
    height: 100%;
    display: flex;
    a {
      display: flex;
      align-items: center;
      padding: 0 12px;
      font-weight: 500;
      cursor: pointer;
      color: $primaryBgColor;
      &:hover {
        color: $thirdGreyColor;
        background: $primaryGreyColor;
      }
      &.active-link {
        position: relative;
        &::after {
          content: '';
          position: absolute;
          left: 0;
          bottom: 0;
          width: 100%;
          height: 2px;
          background: $thirdGreyColor;
        }
      }
    }
  }
}
